Loading...
Searching...
No Matches
Ogre::ExceptionFactory Class Reference
Core » General

Class implementing dispatch methods in order to construct by-value exceptions of a derived type based just on an exception code. More...

`#include <OgreException.h>`

## Static Public Member Functions

static void | throwException (Exception::ExceptionCodes code, const String &desc, const String &src, const char *file, long line)

## Detailed Description

Class implementing dispatch methods in order to construct by-value exceptions of a derived type based just on an exception code.

This nicely handles construction of derived Exceptions by value (needed for throwing) without suffering from ambiguity - each code is turned into a distinct type so that methods can be overloaded. This allows OGRE_EXCEPT to stay small in implementation (desirable since it is embedded) whilst still performing rich code-to-type mapping.

## Member Function Documentation

## throwException()

void Ogre::ExceptionFactory::throwException | ( | Exception::ExceptionCodes | code,
|  | const String & | desc,
|  | const String & | src,
|  | const char * | file,
|  | long | line )

inline static

References OGRE_NORETURN.

The documentation for this class was generated from the following file:

- OgreException.h